/// <reference types="cookie-parser" />
import { IContainer, Constructor } from '@spinajs/di';
import { IRoute, IRouteCall, IRouteParameter, ParameterType, RouteArgs } from '@spinajs/http';
import { ModelBase } from '@spinajs/orm';
import express from 'express';
import { CustomFilterSchema } from './decorators.js';
export declare class FilterModelRouteArg extends RouteArgs {
    protected Container: IContainer;
    constructor(c: IContainer);
    resolve(): Promise<void>;
    get SupportedType(): ParameterType | string;
    extract(callData: IRouteCall, _args: unknown[], param: IRouteParameter<Constructor<ModelBase> | CustomFilterSchema[]>, req: express.Request, _res: express.Response, route: IRoute): Promise<{
        CallData: IRouteCall;
        Args: any;
    }>;
}
//# sourceMappingURL=route-arg.d.ts.map