var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Injectable } from '@spinajs/di';
import { HandleException, HTTP_STATUS_CODE, Response } from '@spinajs/http';
import { OrmNotFoundException } from '@spinajs/orm';
let OrmNotFound = class OrmNotFound extends Response {
    constructor(error, options) {
        super(error, options);
        this.options = options;
        this._errorCode = HTTP_STATUS_CODE.NOT_FOUND;
        this._template = 'notFound.pug';
    }
};
OrmNotFound = __decorate([
    HandleException([OrmNotFoundException]),
    Injectable(Response),
    __metadata("design:paramtypes", [Object, Object])
], OrmNotFound);
export { OrmNotFound };
//# sourceMappingURL=OrmNotFound.js.map