"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrmNotFound = void 0;
const di_1 = require("@spinajs/di");
const http_1 = require("@spinajs/http");
const orm_1 = require("@spinajs/orm");
let OrmNotFound = class OrmNotFound extends http_1.Response {
    constructor(error, options) {
        super(error, options);
        this.options = options;
        this._errorCode = http_1.HTTP_STATUS_CODE.NOT_FOUND;
        this._template = 'notFound.pug';
    }
};
exports.OrmNotFound = OrmNotFound;
exports.OrmNotFound = OrmNotFound = __decorate([
    (0, http_1.HandleException)([orm_1.OrmNotFoundException]),
    (0, di_1.Injectable)(http_1.Response),
    __metadata("design:paramtypes", [Object, Object])
], OrmNotFound);
//# sourceMappingURL=OrmNotFound.js.map