import { ModelBase } from '@spinajs/orm';
import { FilterableOperators } from './interfaces.js';
import { Constructor } from '@spinajs/di';
export declare function Filterable(operatorsOrClass: FilterableOperators[] | Constructor<ModelBase>, isAggregate?: boolean): any;
export type CustomFilterSchema = {
    Column: string;
    Operators: FilterableOperators[];
};
export declare function Filter(model: Constructor<ModelBase> | CustomFilterSchema[]): (target: any, propertyKey?: string | symbol, indexOrDescriptor?: number | PropertyDescriptor) => void;
//# sourceMappingURL=decorators.d.ts.map