var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Schema } from '@spinajs/validation';
let PaginationDTO = class PaginationDTO {
    constructor(data) {
        Object.assign(this, data);
    }
};
PaginationDTO = __decorate([
    Schema({
        type: 'object',
        $id: 'arrow.common.PaginationDTO',
        properties: {
            limit: { type: 'number', minimum: 0 },
            offset: { type: 'number', minimum: 0 },
            take: { type: 'number', minimum: 0 },
        },
    }),
    __metadata("design:paramtypes", [Object])
], PaginationDTO);
export { PaginationDTO };
let OrderDTO = class OrderDTO {
    constructor(data) {
        Object.assign(this, data);
    }
};
OrderDTO = __decorate([
    Schema({
        type: 'object',
        $id: 'arrow.common.OrderDTO',
        properties: {
            order: { type: 'string', enum: ['ASC', 'DESC', 'asc', 'desc'] },
            column: { type: 'string' },
        },
    }),
    __metadata("design:paramtypes", [Object])
], OrderDTO);
export { OrderDTO };
//# sourceMappingURL=dto.js.map