import './builders.js';
import { FilterableOperators, IFilter } from './interfaces.js';
export declare const MODEL_STATIC_MIXINS: {
    filter(filters: IFilter[]): Promise<any>;
    filterColumns(): {
        column: string;
        operators: FilterableOperators[];
    }[];
    filterSchema(): {
        type: string;
        items: {
            type: string;
            anyOf: {
                type: string;
                required: string[];
                properties: {
                    Column: {
                        const: string;
                    };
                    Value: {
                        type: string[];
                    };
                    Operator: {
                        type: string;
                        enum: FilterableOperators[];
                    };
                };
            }[];
        };
    };
};
//# sourceMappingURL=model.d.ts.map